Name:     nonstd-span-lite-devel
%define altname span-lite
Version:  0.10.3
Release:  1%{?dist}
Summary:  A single-file header-only version of a C++20-like span for C++98, C++11 and later
License:  BSL-1.0
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
Patch0:   big-endian.patch
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
span lite is a single-file header-only library to provide a bounds-safe view for
sequences of objects. The library provides a C++20-like span for use with C++98
and later. If available, std::span is used, unless configured otherwise
span-lite can detect the presence of byte-lite and if present, it provides
as_bytes() and as_writable_bytes() also for C++14 and earlier.

%prep
%autosetup -p1 -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_includedir}/nonstd/*.hpp
%{_libdir}/cmake/*/*.cmake

%changelog
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 0.10.3-1
- Initial version of the package
